<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::sig_traits&lt; T(A1)&gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1sig__traits_3_01_t_07_a1_08_4.html">sig_traits&lt; T(A1)&gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1sig__traits_3_01_t_07_a1_08_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::sig_traits&lt; T(A1)&gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4feaef5be42f23842907e2d109bc6217"><td class="memItemLeft" align="right" valign="top"><a id="a4feaef5be42f23842907e2d109bc6217"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:a4feaef5be42f23842907e2d109bc6217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67bdf5a256c012fbe560b32c992f792e"><td class="memItemLeft" align="right" valign="top"><a id="a67bdf5a256c012fbe560b32c992f792e"></a>
typedef A1&#160;</td><td class="memItemRight" valign="bottom"><b>arg1_type</b></td></tr>
<tr class="separator:a67bdf5a256c012fbe560b32c992f792e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aece257e39f386e14e65325606ae0d3"><td class="memItemLeft" align="right" valign="top"><a id="a2aece257e39f386e14e65325606ae0d3"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg2_type</b></td></tr>
<tr class="separator:a2aece257e39f386e14e65325606ae0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ad9af137c37c475446304fabb16f421"><td class="memItemLeft" align="right" valign="top"><a id="a0ad9af137c37c475446304fabb16f421"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg3_type</b></td></tr>
<tr class="separator:a0ad9af137c37c475446304fabb16f421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ace8a58ef36ef8a11166e183c0ed5fa"><td class="memItemLeft" align="right" valign="top"><a id="a7ace8a58ef36ef8a11166e183c0ed5fa"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg4_type</b></td></tr>
<tr class="separator:a7ace8a58ef36ef8a11166e183c0ed5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54a2194119abce7967bd148ce293561"><td class="memItemLeft" align="right" valign="top"><a id="ae54a2194119abce7967bd148ce293561"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg5_type</b></td></tr>
<tr class="separator:ae54a2194119abce7967bd148ce293561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aa155aaf0c13d21c1c8b91df17bc981"><td class="memItemLeft" align="right" valign="top"><a id="a7aa155aaf0c13d21c1c8b91df17bc981"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg6_type</b></td></tr>
<tr class="separator:a7aa155aaf0c13d21c1c8b91df17bc981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a990570102831fcb15489a8cbe42d9a5e"><td class="memItemLeft" align="right" valign="top"><a id="a990570102831fcb15489a8cbe42d9a5e"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg7_type</b></td></tr>
<tr class="separator:a990570102831fcb15489a8cbe42d9a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9148204429b2b00fe8e9f433e1cdeac"><td class="memItemLeft" align="right" valign="top"><a id="ab9148204429b2b00fe8e9f433e1cdeac"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg8_type</b></td></tr>
<tr class="separator:ab9148204429b2b00fe8e9f433e1cdeac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2022ffd3a94926da8041d0e0aa207b16"><td class="memItemLeft" align="right" valign="top"><a id="a2022ffd3a94926da8041d0e0aa207b16"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg9_type</b></td></tr>
<tr class="separator:a2022ffd3a94926da8041d0e0aa207b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12cca3245b56969dcf5e9eea19ff30b2"><td class="memItemLeft" align="right" valign="top"><a id="a12cca3245b56969dcf5e9eea19ff30b2"></a>
typedef void&#160;</td><td class="memItemRight" valign="bottom"><b>arg10_type</b></td></tr>
<tr class="separator:a12cca3245b56969dcf5e9eea19ff30b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ae08679526b1566c6fd84d0698bb5a6c6"><td class="memItemLeft" align="right" valign="top"><a id="ae08679526b1566c6fd84d0698bb5a6c6"></a>
static const unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_args</b> = 1</td></tr>
<tr class="separator:ae08679526b1566c6fd84d0698bb5a6c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="any__function_8h_source.html">any_function.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
